Skip to main content
GET
List groups

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

Required range: x >= 1
Example:

1

limit
number

Number of items per page

Required range: 1 <= x <= 100
Example:

10

tenantId
string
required

Tenant ID

Example:

"51e9fc27-a398-403d-bf5a-15cd2ee975ae"

Search in group name and group ID

Example:

"Engineering"

tenantGroupTypeIds
string

Tenant Group Type IDs (comma-separated)

Example:

"07931d79-8658-4833-bca0-43dbcc79cbfb"

parentGroupId
string

Parent Group ID to filter child groups

Example:

"aa4f845a-6695-4d3d-91e0-6e2e645f76bf"

sourceFilter
string

Comma-separated list of source filters

Example:

"SCIM,MANUAL,ALL"

select
string

Comma separated specific Group fields needed in response

Example:

""

status
string

Comma-separated list of statuses to filter by

Example:

"ACTIVE,INACTIVE"

createdDateStart
string<date-time>

Creation date range - start date

createdDateEnd
string<date-time>

Creation date range - end date

updatedDateStart
string<date-time>

Last updated date range - start date

updatedDateEnd
string<date-time>

Last updated date range - end date

sortBy
enum<string>

Criteria for sorting Groups

Available options:
groupId,
groupName,
displayName,
status,
createdOn,
updatedOn,
isSynced,
tenantGroupType
Example:

"groupName"

sortOrder
enum<string>

Order for sorting Groups

Available options:
asc,
desc
Example:

"asc"

Response

200 - application/json

Groups list retrieved successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-08T06:33:21.945Z"

message
string
required
Example:

"Success"

data
object